### Method

# Gio File set_display_name_async

#### Declaration

    void
    g_file_set_display_name_async (
      GFile* file,
      const char* display_name,
      int io_priority,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Asynchronously sets the display name for a given `GFile`.

For more details, see `g_file_set_display_name()` which is the synchronous version of this call.

When the operation is finished, `callback` will be called. You can then call `g_file_set_display_name_finish()` to get the result of the operation.

This method completes asynchronously. Use `g_file_set_display_name_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`display_name`

  Type: `const char*`

  A string.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`io_priority`

  Type: `int`

  The [I/O priority][io-priority] of the request.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, `NULL` to ignore.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is satisfied.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  The data to pass to callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.